petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceGetNumDof

Get the number of degrees of freedom for each spatial (topological) dimension

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetNumDof(PetscDualSpace sp, const PetscInt **numDof)

Not collective

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

numDof -An array of length dim+1 which holds the number of dofs for each dimension

### See Also

PetscDualSpaceGetFunctional(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceGetNumDof_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceGetNumDof_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages